# frozen_string_literal: true

# ::Axe::Matchers::BeAxeClean.prepend AxeMatcherAuditor
module Stormbreaker
  module AxeRSpecAuditor
    # Fire Axe assertion before normal Rspec assertion in case RSpec assertion fails and prevents Axe from running
    def to(matcher = nil, message = nil, &block)
      Stormbreaker::AxeHelper.assert_axe
      super
    end

    def not_to(matcher = nil, message = nil, &block)
      Stormbreaker::AxeHelper.assert_axe
      super
    end
  end
end
