# frozen_string_literal: true

# ::RSpec::Core::Formatters::BaseTextFormatter.prepend AxeResultsReporter
module Stormbreaker
  module AxeResultsReporter
    # builds on built-in RSpec formatting via BaseTextFormatter#dump_summary
    def dump_summary(summary)
      warn Stormbreaker::AxeHelper.summarize_results unless Stormbreaker::AxeHelper.suite_passed?

      super
    end
  end
end
