# frozen_string_literal: true

namespace :stormbreaker do
  desc 'Combines results that were created from isolated test runs'
  task :combine_results, %i[path prefix] do |_t, args|
    require_relative '../../stormbreaker'
    manager = Stormbreaker::AxeResultsSerializer.combine_results(args[:path], args[:prefix])
    erb_writer = Stormbreaker::ErbFormatter.new(manager.total_violations)
    erb_writer.write_to_erb
  end
end
